package com.platform.modules.sensitiveword.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 敏感停顿符
 * 
 * @author Anine
 * @date 2019-03-11 16:43:20
 */
@TableName("sensitive_stop_word")
@ApiModel("敏感停顿符")
public class SensitiveStopWordEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 停顿符id
	 */
	@TableId
	@ApiModelProperty(value = "停顿符id")
	private Integer id;
	/**
	 * 停顿符
	 */
	@ApiModelProperty(value = "停顿符")
	private String stopWord;
	/**
	 * 创建者id
	 */
	@ApiModelProperty(value = "创建者id", hidden = true)
	private Long createBy;
	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间", hidden = true)
	private Date createTime;
	/**
	 * 是否删除，默认为0
	 */
	@ApiModelProperty(value = "是否删除，默认为0", hidden = true)
	private Integer isDelete;

	/**
	 * 设置：停顿符id
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：停顿符id
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：停顿符
	 */
	public void setStopWord(String stopWord) {
		this.stopWord = stopWord;
	}
	/**
	 * 获取：停顿符
	 */
	public String getStopWord() {
		return stopWord;
	}
	/**
	 * 设置：创建者id
	 */
	public void setCreateBy(Long createBy) {
		this.createBy = createBy;
	}
	/**
	 * 获取：创建者id
	 */
	public Long getCreateBy() {
		return createBy;
	}
	/**
	 * 设置：创建时间
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * 获取：创建时间
	 */
	public Date getCreateTime() {
		return createTime;
	}
	/**
	 * 设置：是否删除，默认为0
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：是否删除，默认为0
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	public SensitiveStopWordEntity() {
	}
}
